Skip to content

Personal vault

A user’s private identities, keys and hosts.

GET/api/vault/status
GET/api/vault/hosts
POST/api/vault/hosts
PATCH/api/vault/hosts/:id
DELETE/api/vault/hosts/:id
POST/api/vault/hosts/:id/host-key/reset
POST/api/vault/hosts/:id/connect

Status ​

GET/api/vault/status

Authentication: bearer token.
Permission: any signed-in user.

bash
curl -X GET "https://shellius.example.com/api/vault/status" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Hosts ​

GET/api/vault/hosts

Authentication: bearer token.
Permission: vault.hosts.

bash
curl -X GET "https://shellius.example.com/api/vault/hosts" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Hosts ​

POST/api/vault/hosts

Mutations audit themselves in vaultService (with names/hosts, never secrets).

Authentication: bearer token.
Permission: vault.hosts.

Request body

NameTypeRequiredNotes
nameobjectYes
hostobjectYes
portobjectNoDefault 22.
newIdentityobjectYes1–200.
bash
curl -X POST "https://shellius.example.com/api/vault/hosts" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": {},
    "host": {},
    "newIdentity": {}
  }'

201 Created

json
{ "success": true, "data": { … } }

Update personal vault ​

PATCH/api/vault/hosts/:id

Authentication: bearer token.
Permission: vault.hosts.

Path parameters

NameTypeNotes
idstring
bash
curl -X PATCH "https://shellius.example.com/api/vault/hosts/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Delete personal vault ​

DELETE/api/vault/hosts/:id

Authentication: bearer token.
Permission: vault.hosts.

Path parameters

NameTypeNotes
idstring
bash
curl -X DELETE "https://shellius.example.com/api/vault/hosts/{id}" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Hosts host key reset ​

POST/api/vault/hosts/:id/host-key/reset

Authentication: bearer token.
Permission: vault.hosts.

Path parameters

NameTypeNotes
idstring
bash
curl -X POST "https://shellius.example.com/api/vault/hosts/{id}/host-key/reset" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN"

200 OK

json
{ "success": true, "data": { … } }

Hosts connect ​

POST/api/vault/hosts/:id/connect

Authentication: bearer token.
Permission: vault.hosts.

Path parameters

NameTypeNotes
idstring

Request body

NameTypeRequiredNotes
authobjectNo
bash
curl -X POST "https://shellius.example.com/api/vault/hosts/{id}/connect" \
  -H "Authorization: Bearer $SHELLIUS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "auth": {}
  }'

201 Created

json
{ "success": true, "data": { … } }
Was this page helpful?No, tell us why